extends Node2D

const zoomingTime = 14.0
const delayTime = 1.5
const endScale = Vector2(2.0, 2.0)
const endPosition = Vector2( - 1220.0, - 356.0)

func _ready():
	if not get_tree().root.has_node("Root"):
		return ;
	
	GallerySingleton.AddImage("Death_shot");
	
	$Timer.set_wait_time(delayTime)
	$Timer.set_one_shot(true)
	$Timer.start()
	yield ($Timer, "timeout")
	$Tween.interpolate_property(self, "scale", Vector2(1.0, 1.0), endScale, zoomingTime, Tween.TRANS_LINEAR, 0)
	$Tween.interpolate_property(self, "position", Vector2(0.0, 0.0), endPosition, zoomingTime, Tween.TRANS_LINEAR, 0)
	$Tween.start()

func InitForGallery()->Array:
	scale = Vector2(0.5, 0.5)
	return [];
