extends Node2D

const fadeTime = 2.2
const fadeTime2 = 1.8

func _ready():
	UnderwearText();
	
	if not get_tree().root.has_node("Root"):
		return ;
	
	GallerySingleton.AddImage("Emiliya_sex");
	
	if Dialogic.get_variable("SexSpriteNumber") == "2":
		$Sprite1.visible = false
	elif Dialogic.get_variable("SexSpriteNumber") == "3":
		$Sprite1.visible = false
		$Sprite2.visible = false
		
		$Underwear / HandOver.visible = true;
	
	var dialogicNode = get_parent().get_parent().get_node("Game").get_child(0).get_child(0)
	dialogicNode.connect("dialogic_signal", self, "_slideswitch_listener")
	
	









func UnderwearText():
	var locale = TranslationServer.get_locale();
	var path = "";
	if locale == "ru":
		path = "res://resources/graphics/backgrounds/emiliya_sex/underwear/ru.webp";
	elif locale == "zh":
		path = "res://resources/graphics/backgrounds/emiliya_sex/underwear/zh.webp";
	else :
		path = "res://resources/graphics/backgrounds/emiliya_sex/underwear/en.webp";
	$Underwear / Text.texture = load(path);

func _slideswitch_listener(string):
	match string:
		"sprite2":
			Dialogic.set_variable("SexSpriteNumber", 2)
			var tween = $"Tween"
			tween.interpolate_method(self, "Sprite1Interpolate", 1, 0, fadeTime, Tween.TRANS_CUBIC, 0)
			tween.start()
		"sprite3":
			Dialogic.set_variable("SexSpriteNumber", 3)
			var tween = $"Tween"
			tween.interpolate_method(self, "Sprite2Interpolate", 1, 0, fadeTime2, Tween.TRANS_CUBIC, 0)
			tween.start()
			$Underwear / HandOver.visible = true;
		

func Sprite1Interpolate(value):
	$Sprite1.self_modulate.a = value
	
func Sprite2Interpolate(value):
	$Sprite2.self_modulate.a = value

func InitForGallery()->Array:
	scale = Vector2(0.5, 0.5)
	return ["ui_gallery_fall_1", "ui_gallery_fall_2", "ui_gallery_fall_3"];
	
func SetSettings(setting):
	if setting == tr("ui_gallery_fall_1"):
		$Sprite1.visible = true;
		$Sprite2.visible = false;
		$Sprite3.visible = false;
		$Underwear / HandOver.visible = false;
	elif setting == tr("ui_gallery_fall_2"):
		$Sprite1.visible = false;
		$Sprite2.visible = true;
		$Sprite3.visible = false;
		$Underwear / HandOver.visible = false;
	else :
		$Sprite1.visible = false;
		$Sprite2.visible = false;
		$Sprite3.visible = true;
		$Underwear / HandOver.visible = true;
