extends Node2D

var timeParam
var alphaTimeParam
var minigameTimer = 40.0
const yPosStart = 710
const yPosEnd = - 840
const alphaStart = 0.3
const alphaEnd = 0.8
var shaderTransparency

func _ready():
	timeParam = (yPosStart - yPosEnd) / minigameTimer
	alphaTimeParam = (alphaEnd - alphaStart) / minigameTimer

func _process(delta):
	if $Node2D / flame.position.y > yPosEnd:
		$Node2D / flame.position.y -= delta * timeParam
	shaderTransparency = $Node2D / flame.material.get_shader_param("transparency")
	if shaderTransparency < alphaEnd:
		$Node2D / flame.material.set_shader_param("transparency", shaderTransparency + alphaTimeParam * delta)
