extends Node2D

func _ready():
	GallerySingleton.AddBackground("Train_video")
	
	var videoPlayer = $Video / VideoPlayer
	var path = ""
	if TranslationServer.get_locale() == "en":
		path = "res://resources/video/train_en.webm"
	else :
		path = "res://resources/video/train_ru.webm"
	videoPlayer.stream = load(path)
	videoPlayer.play()

func InitForGallery()->Array:
	$Video.scale = Vector2(0.5, 0.5)
	
	return ["English", "Русский"];

func SetSettings(setting):
	var videoPlayer = $Video / VideoPlayer;
	var path = ""
	if setting == "English":
		path = "res://resources/video/train_en.webm"
	else :
		path = "res://resources/video/train_ru.webm"
	videoPlayer.stream = load(path)
	videoPlayer.play()
