extends Node2D




func _ready():
	if not get_tree().root.has_node("Root"):
		return ;
	
	GallerySingleton.AddImage("Amanda_before_sex");
	
	if Dialogic.get_variable("SexSpriteNumber") != "1":
		var headNum = int(Dialogic.get_variable("SexSpriteNumber"))
		ChangeHead(headNum)

	var dialogicNode = get_parent().get_parent().get_node("Game").get_child(0).get_child(0)
	dialogicNode.connect("dialogic_signal", self, "_slideswitch_listener")

func _slideswitch_listener(string):
	match string:
		"sprite2":
			Dialogic.set_variable("SexSpriteNumber", 2)
			ChangeHead(2)
		"sprite3":
			Dialogic.set_variable("SexSpriteNumber", 3)
			ChangeHead(3)
		"sprite4":
			Dialogic.set_variable("SexSpriteNumber", 4)
			ChangeHead(4)

func ChangeHead(headNum:int):
	match headNum:
		2:
			$Head1.visible = false
			$Head2.visible = true
			$Head3.visible = false
			$Head4.visible = false
		3:
			$Head1.visible = false
			$Head2.visible = false
			$Head3.visible = true
			$Head4.visible = false
		4:
			$Head1.visible = false
			$Head2.visible = false
			$Head3.visible = false
			$Head4.visible = true


func InitForGallery()->Array:
	scale = Vector2(0.5, 0.5)
	
	return ["ui_gallery_fall_1", "ui_gallery_fall_2", "ui_gallery_fall_3", "ui_gallery_fall_4"];

func SetSettings(setting):
	if setting == tr("ui_gallery_fall_1"):
		$Head1.visible = true;
		$Head2.visible = false;
		$Head3.visible = false;
		$Head4.visible = false;
	elif setting == tr("ui_gallery_fall_2"):
		$Head1.visible = false;
		$Head2.visible = true;
		$Head3.visible = false;
		$Head4.visible = false;
	elif setting == tr("ui_gallery_fall_3"):
		$Head1.visible = false;
		$Head2.visible = false;
		$Head3.visible = true;
		$Head4.visible = false;
	elif setting == tr("ui_gallery_fall_4"):
		$Head1.visible = false;
		$Head2.visible = false;
		$Head3.visible = false;
		$Head4.visible = true;
