extends Node2D

const fadeTime = 1.1


func _ready():
	if not get_tree().root.has_node("Root"):
		return ;
	
	GallerySingleton.AddImage("Dana_sex");
	
	if Dialogic.get_variable("SexSpriteNumber") == "2":
		$Sprite1.visible = false

	var dialogicNode = get_parent().get_parent().get_node("Game").get_child(0).get_child(0)
	dialogicNode.connect("dialogic_signal", self, "_slideswitch_listener")

	






func _slideswitch_listener(string):
	match string:
		"sprite2":
			Dialogic.set_variable("SexSpriteNumber", 2)
			var tween = $"Tween"
			tween.interpolate_method(self, "Sprite1Interpolate", 1, 0, fadeTime, Tween.TRANS_CUBIC, 0)
			tween.start()

func Sprite1Interpolate(value):
	$Sprite1.self_modulate.a = value

func InitForGallery()->Array:
	scale = Vector2(0.5, 0.5)
	
	return ["ui_gallery_fall_1", "ui_gallery_fall_2"];
	
func SetSettings(setting):
	if setting == tr("ui_gallery_fall_1"):
		$Sprite1.visible = true;
		$Sprite2.visible = false;
	elif setting == tr("ui_gallery_fall_2"):
		$Sprite1.visible = false;
		$Sprite2.visible = true;
