extends Node2D


func _ready():
	if not get_tree().root.has_node("Root"):
		return ;
	
	GallerySingleton.AddImage("Death_Car");
	
	var sfxPath = "res://resources/audio/sfx/Rain Loop.ogg"
	get_tree().root.get_node("Root").SetSFXforBGM(sfxPath)
	
	var dialogicNode = get_parent().get_parent().get_node("Game").get_child(0).get_child(0)
	dialogicNode.connect("dialogic_signal", self, "_car_listener")

func _car_listener(string):
	match string:
		"headlights_off":
			$lights.visible = false

func InitForGallery()->Array:
	scale = Vector2(0.5, 0.5)
	return [];

func SetSettings(_setting):
	pass;
