extends Node2D

func _ready():
	if not get_tree().root.has_node("Root"):
		return ;
	
	GallerySingleton.AddImage("Emiliya_Go_Away");
	










	var videoPlayer = $Video / VideoPlayer
	var path = ""
	if int(Dialogic.get_variable("Is_White_Dead")) == 1:
		path = "res://resources/video/новый_син_глок.webm"
	else :
		path = "res://resources/video/новый_син_беретта.webm"
	videoPlayer.stream = load(path)
	videoPlayer.play()

func _pistol_listener(string):
	match string:
		"pistol_drop":
			if int(Dialogic.get_variable("Is_White_Dead")) == 0:
				$whitePistolOff / white.visible = false
			if int(Dialogic.get_variable("Is_Red_Dead")) == 0:
				$redPistolOff / red.visible = false
		"pistol_off":
			$noPistol.visible = true

func InitForGallery()->Array:
	$Video.scale = Vector2(0.5, 0.5)
	
	var glock = GallerySingleton.HaveImage("Emiliya_Go_Away_glock");
	var beretta = GallerySingleton.HaveImage("Emiliya_Go_Away_beretta");
	
	var videoPlayer = $Video / VideoPlayer
	var path = ""
	
	if glock and beretta:
		path = "res://resources/video/новый_син_глок.webm"
		videoPlayer.stream = load(path)
		videoPlayer.play()
		return ["ui_gallery_fall_1", "ui_gallery_fall_2"];
	elif glock and not beretta:
		path = "res://resources/video/новый_син_глок.webm"
	else :
		path = "res://resources/video/новый_син_беретта.webm"
	videoPlayer.stream = load(path)
	videoPlayer.play()
	return [];

func SetSettings(setting):
	var videoPlayer = $Video / VideoPlayer
	var path = ""
	
	if setting == tr("ui_gallery_fall_1"):
		path = "res://resources/video/новый_син_глок.webm"
	elif setting == tr("ui_gallery_fall_2"):
		path = "res://resources/video/новый_син_беретта.webm"
	
	videoPlayer.stream = load(path)
	videoPlayer.play()
