extends Node2D

const fadeTime = 1.1

func _ready():
	if not get_tree().root.has_node("Root"):
		return ;
	
	GallerySingleton.AddImage("Roman_Orange");
	
	if Dialogic.get_variable("SexSpriteNumber") == "2":
		$Sprite1.visible = false
		$Sprite2.visible = true

	var dialogicNode = get_parent().get_parent().get_node("Game").get_child(0).get_child(0)
	dialogicNode.connect("dialogic_signal", self, "_slideswitch_listener")

	






func _slideswitch_listener(string):
	match string:
		"sprite2":
			Dialogic.set_variable("SexSpriteNumber", 2)
			var tween = $"Tween"
			tween.interpolate_property($Sprite1, "modulate", Color(1, 1, 1, 1), Color(1, 1, 1, 0), fadeTime, Tween.TRANS_CUBIC, 0)
			tween.start()


func InitForGallery()->Array:
	scale = Vector2(0.5, 0.5)
	
	return ["ui_gallery_fall_1", "ui_gallery_fall_2"];
	
func SetSettings(setting):
	if setting == tr("ui_gallery_fall_1"):
		$Sprite1.visible = true;
		$Sprite2.visible = false;
	else :
		$Sprite1.visible = false;
		$Sprite2.visible = true;
