extends Node2D

func _ready():
	if not get_tree().root.has_node("Root"):
		return ;
	
	GallerySingleton.AddImage("Roman_violet");
	
	if Dialogic.get_variable("ItIsDay") == "false":
		var sfxPath = "res://resources/audio/sfx/Rain Loop.ogg"
		get_tree().root.get_node("Root").SetSFXforBGM(sfxPath)
	else :
		get_tree().root.get_node("Root").StopSFX();

func _on_EasterEggTimer_timeout():
	var tempMaterial = $rain / Rain / Particles2D.get_process_material()
	tempMaterial.color = Color(0.56, 0.078, 0.078, 1)
	$rain / Rain / Particles2D.set_process_material(tempMaterial)


func InitForGallery()->Array:
	scale = Vector2(0.5, 0.5)
	return [];
	
