extends Node2D

func _ready():
	if not get_tree().root.has_node("Root"):
		return ;
	
	var dialogicNode = get_parent().get_parent().get_node("Game").get_child(0).get_child(0)
	dialogicNode.connect("dialogic_signal", self, "_character_listener")
	
	GallerySingleton.AddBackground("Scene2_2")
	
	if int(Dialogic.get_variable("LightsOn")) == 1:
		$Lights_on.visible = true
		$Lights_off.visible = false
		if Dialogic.get_variable("1_Death_Knife") == "none":
			$Lights_on / Knife.visible = true
		else :
			$Lights_on / Knife.visible = false
		
		InitCat();
	else :
		$Lights_on.visible = false
		$Lights_off.visible = true
		if int(Dialogic.get_variable("Candle")) == 1:
			$Lights_off / candle.visible = true
		else :
			$Lights_off / candle.visible = false
			
		$Cat.visible = false;

func InitCat():
	$Cat.Init(2, 2);
	$Cat.position = Vector2(1590, 609);
	$Cat.rotation_degrees = 3;
	$Cat.Scale(0.85);

func _character_listener(string):
	match string:
		"add_renata":
			$removables / renata.visible = Dialogic.get_variable("Is_Orange_Dead") == "0";
		"remove_renata":
			$removables / renata.visible = false;

func InitForGallery()->Array:
	scale = Vector2(0.5, 0.5)
	$Cat.visible = false;
	$Lights_on / Knife.visible = true;
	
	return ["ui_lights_on", "ui_lights_off"]
	

func SetSettings(setting):
	if setting == tr("ui_lights_on"):
		$Lights_on.visible = true;
		$Lights_off.visible = false;
		$Lights_off / candle.visible = false;
	else :
		$Lights_on.visible = false;
		$Lights_off.visible = true;
		$Lights_off / candle.visible = true
