extends Node2D
func _ready():
	if not get_tree().root.has_node("Root"):
		return ;
	
	
	
	if Dialogic.get_variable("ItIsDay") == "true":
		$Day.visible = true;
		$Night.visible = false;
		
		var sfxPath = "res://resources/audio/sfx/Forest_day.ogg"
		get_tree().root.get_node("Root").SetSFXforBGM(sfxPath)
		
		GallerySingleton.AddBackground("Scene4")
	else :
		$Day.visible = false;
		$Night.visible = true;
		
		var sfxPath = "res://resources/audio/sfx/Rain Loop.ogg"
		get_tree().root.get_node("Root").SetSFXforBGM(sfxPath)
		
		GallerySingleton.AddBackground("Scene4_n")

func InitForGallery()->Array:
	scale = Vector2(0.5, 0.5)
	
	if not GallerySingleton.HaveBackground("Scene4_n"):
		return [];
	
	return ["ui_day", "ui_night"]

func SetSettings(setting):
	if setting == tr("ui_day"):
		$Day.visible = true;
		$Night.visible = false;
	else :
		$Day.visible = false;
		$Night.visible = true;
