extends Node2D

func _ready():
	if not get_tree().root.has_node("Root"):
		return ;
	
	GallerySingleton.AddBackground("Vtoroi_etaj")
	
	if int(Dialogic.get_variable("LightsOn")) == 1:
		$lightsON.visible = true
		$lightsOFF.visible = false
	else :
		$lightsON.visible = false
		$lightsOFF.visible = true
	if get_parent().get_parent().get_node("Game") == null:
		return 
	var dialogicNode = get_parent().get_parent().get_node("Game").get_child(0).get_child(0)
	dialogicNode.connect("dialogic_signal", self, "_lights_listener")

func _lights_listener(string):
	match string:
		"lights_on":
			Dialogic.set_variable("LightsOn", 1)
			$lightsON.visible = true
			$lightsOFF.visible = false
		"lights_off":
			Dialogic.set_variable("LightsOn", 0)
			$lightsON.visible = false
			$lightsOFF.visible = true

func InitForGallery()->Array:
	scale = Vector2(0.5, 0.5)
	$lightsOFF.visible = false;
	$lightsON.visible = true;
	
	return ["ui_lights_on", "ui_lights_off"];
	
func SetSettings(setting):
	if setting == tr("ui_lights_on"):
		$lightsON.visible = true;
		$lightsOFF.visible = false;
	else :
		$lightsON.visible = false;
		$lightsOFF.visible = true;
